### Enumeration

# EBookContacts PhoneNumberCountrySource

since: 3.8

#### Declaration

    enum EBookContacts.PhoneNumberCountrySource

#### Description [src]

The origin of a parsed EPhoneNumber’s country calling code.

Available since: 3.8

#### Members

`E_PHONE_NUMBER_COUNTRY_FROM_FQTN`

  The EPhoneNumber was build from a fully qualified telephone number that contained a valid country calling code.

  - Value: `1`
  - Available since: 3.8
`E_PHONE_NUMBER_COUNTRY_FROM_IDD`

  The parsed phone number started with the current locale’s international call prefix, followed by a valid country calling code.

  - Value: `5`
  - Available since: 3.8
`E_PHONE_NUMBER_COUNTRY_FROM_DEFAULT`

  The parsed phone didn’t start with a (recognizable) country calling code, the code was chosen by checking the current locale settings.

  - Value: `20`
  - Available since: 3.8